package cn.reghao.tnb.content.app.vod.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.tnb.content.app.vod.model.po.Favlist;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2023-10-11 14:23:36
 */
@Mapper
public interface FavlistMapper extends BaseMapper<Favlist> {
    Favlist findByContentType(@Param("contentType") int contentType, @Param("userId") long userId);

    Favlist findByFavlistId(long favlistId);
    List<Favlist> findByCreateBy(int contentType, long userId);
}
